# Class User

Namespace
  adas_core.Domain.Models.MongoModels

Assembly
  adas-core.Domain.dll

Represents a user within the system, encapsulating user-related data and behavior.

    public class User

Inheritance
  object
  User

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### Authorization

    public List<Authorization>? Authorization { get; set; }

#### Property Value

List<Authorization>

### Email

    public string Email { get; set; }

#### Property Value

string

### Id

    public ObjectId Id { get; set; }

#### Property Value

ObjectId

### IpAddress

    public string IpAddress { get; set; }

#### Property Value

string

### IsEnabled

    public bool IsEnabled { get; set; }

#### Property Value

bool

### LastLogin

    public DateTime? LastLogin { get; set; }

#### Property Value

DateTime?

### LockExpirationDate

    public DateTime? LockExpirationDate { get; set; }

#### Property Value

DateTime?

### Name

    public string Name { get; set; }

#### Property Value

string

### Password

    public string Password { get; set; }

#### Property Value

string

### Type

    public UserEnum.Type Type { get; set; }

#### Property Value

UserEnum.Type

### UserName

    public string UserName { get; set; }

#### Property Value

string